Bug 179375 - Update pianobar from 2012.12.01 to 2013.05.19
Update pianobar from 2012.12.01 to 2013.05.19
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 19:40 UTC by john
Modified: 2013-06-06 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.96 KB, patch)
2013-06-06 19:40 UTC, john
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description john 2013-06-06 19:40:00 UTC

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-06-06 21:01:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter freebsd_committer 2013-06-06 21:31:06 UTC
Author: wg
Date: Thu Jun  6 20:30:57 2013
New Revision: 320126
URL: http://svnweb.freebsd.org/changeset/ports/320126

Log:
  - Update to 2013.05.19
  
  Changes:
  https://github.com/PromyLOPh/pianobar/blob/466d16fe/ChangeLog
  
  PR:		ports/179375
  Submitted by:	John Hixson <john@ixsystems.com> (maintainer)
  Approved by:	culot / jpaetzel (mentors, implicit)

Modified:
  head/audio/pianobar/Makefile
  head/audio/pianobar/distinfo
  head/audio/pianobar/files/patch-Makefile

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Thu Jun  6 20:24:27 2013	(r320125)
+++ head/audio/pianobar/Makefile	Thu Jun  6 20:30:57 2013	(r320126)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pianobar
-PORTVERSION=	2012.12.01
-PORTREVISION=	2
+PORTVERSION=	2013.05.19
 CATEGORIES=	audio
 MASTER_SITES=	http://6xq.net/projects/${PORTNAME}/
 
@@ -26,6 +25,7 @@ PLIST_FILES=	bin/pianobar
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
+MAKE_ARGS+=	CC="${CC}"
 
 CFLAGS+=	-I${LOCALBASE}/include -std=c99
 LDFLAGS+=	-L${LOCALBASE}/lib

Modified: head/audio/pianobar/distinfo
==============================================================================
--- head/audio/pianobar/distinfo	Thu Jun  6 20:24:27 2013	(r320125)
+++ head/audio/pianobar/distinfo	Thu Jun  6 20:30:57 2013	(r320126)
@@ -1,2 +1,2 @@
-SHA256 (pianobar-2012.12.01.tar.bz2) = a3909f796e7cef21b19d98282f332ecbcf9b2c60a2af22a0a2ce01e9c4d9f515
-SIZE (pianobar-2012.12.01.tar.bz2) = 50383
+SHA256 (pianobar-2013.05.19.tar.bz2) = cf88e82663d2b0aa4d73e761506eac4f3e7bc789b57d92377acd994d785e1046
+SIZE (pianobar-2013.05.19.tar.bz2) = 50942

Modified: head/audio/pianobar/files/patch-Makefile
==============================================================================
--- head/audio/pianobar/files/patch-Makefile	Thu Jun  6 20:24:27 2013	(r320125)
+++ head/audio/pianobar/files/patch-Makefile	Thu Jun  6 20:30:57 2013	(r320126)
@@ -1,6 +1,6 @@
---- Makefile	2012-12-01 09:03:23.000000000 -0800
-+++ Makefile	2012-12-28 15:03:03.150101419 -0800
-@@ -4,16 +4,14 @@
+--- Makefile.orig	2013-06-06 11:12:53.077684094 -0700
++++ Makefile	2013-06-06 11:25:07.697666849 -0700
+@@ -4,7 +4,7 @@
  BINDIR:=${PREFIX}/bin
  LIBDIR:=${PREFIX}/lib
  INCDIR:=${PREFIX}/include
@@ -9,22 +9,3 @@
  DYNLINK:=0
  
  # Respect environment variables set by user; does not work with :=
- ifeq (${CFLAGS},)
- 	CFLAGS=-O2 -DNDEBUG
- endif
--ifeq (${CC},cc)
--	CC=c99
--endif
-+DEPCC=cc
- 
- PIANOBAR_DIR=src
- PIANOBAR_SRC=\
-@@ -119,7 +117,7 @@
- # build dependency files
- %.d: %.c
- 	@set -e; rm -f $@; \
--			$(CC) -M ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
-+			$(DEPCC) -M ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
- 			${LIBFAAD_CFLAGS} ${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} \
- 			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} $< > $@.$$$$; \
- 			sed '1 s,^.*\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-06-06 21:31:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!